/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File: FASEBEW.INC
 *
 * datum:              10-03-1995
 * gewijzigd dd.:      23-12-2002 omzetting naar FLASH
 * gewijzigd dd.:      14-06-2004 i.v.m. EGGPARMS
 * gewijzigd dd.:      28-04-2011 i.v.m. onterecht aanspreken FB
 * versie:             3.0
 *
 * AANPASSING naar 3.0 t.b.v. kort afvallen A(n) (< 1 sec.) a.g.v. BL_OP, 
 * doorgevoerd op basis van voorstel IT&T
 */

/*declaraties */
extern Int16 seconde_nr;
void fasebewaking(Int16, Int16);


/* de functie fasebewaking */
void fasebewaking(Int16 tl, Int16 egg)
{
  Int16 n;

  for (n=0; n<NUMSG; n++, tl++)
  {  if (!A(n) && !DA(n) && !MA(n) || BL(n) || FIX)
       maak_TL(tl, 0);
     else if (seconde_nr != CIF_KLOK[CIF_SECONDE])
       incr_TL(tl);
     if ((TL(tl) >= inst_EGGPARM(egg)) && R(n)){
       set_FB();
    }
  }
}
